#include<iostream>
#include<vector>

using namespace std;

class Solution {
public:
    int minSubArrayLen(int target, vector<int>& nums) {
        vector<int> sub;
        sub.push_back(0);
        int num_sum = 0;
        for(int i = 0 ; i < nums.size() ; i++){
            int num = nums[i];
            sub.push_back(num_sum + num);
            num_sum += num;
        }
        if(num_sum < target){
            return 0;
        }
        for(int length = 1 ; length < nums.size() + 1 ; length ++){
            for(int i = 0 ; i <= nums.size() - length;i++){
                int rlt = sub[i+length] - sub[i];
                if(rlt >= target){
                    return length;
                }
            }
        }
        return 0;
    }
};

int main(){
    Solution *sol = new Solution();
    vector<int>tmp = {2, 3, 1 ,4, 2 ,3};
    cout<<sol->minSubArrayLen(7,tmp)<<endl;
}